# QuietFormChangePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class QuietFormChangePhase

#### Hierarchy (View Summary)

- BattlePhase
  - QuietFormChangePhase

- Defined in src/phases/quiet-form-change-phase.ts:21

##### Index

### Constructors

constructor

### Properties

formChange
pokemon

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new QuietFormChangePhase(
  pokemon: default ,
  formChange: SpeciesFormChange ,
  ): QuietFormChangePhase

  #### Parameters

  - pokemon: default
  - formChange: SpeciesFormChange

  #### Returns QuietFormChangePhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/quiet-form-change-phase.ts:25

## Properties

### `Protected` formChange

formChange: SpeciesFormChange

- Defined in src/phases/quiet-form-change-phase.ts:23

### `Protected` pokemon

pokemon: default

- Defined in src/phases/quiet-form-change-phase.ts:22

## Methods

### end

- end(): void

  #### Returns void

  Overrides BattlePhase.end

  - Defined in src/phases/quiet-form-change-phase.ts:158

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/quiet-form-change-phase.ts:31